python-pushy_0.5.3-1ubuntu1_amd64.deb


Advertisement

Description

python-pushy - Simple interface for connecting two python interpreters

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe amd64
Package filename python-pushy_0.5.3-1ubuntu1_amd64.deb
Package name python-pushy
Package version 0.5.3
Package release 1ubuntu1
Package architecture amd64
Package type deb
Category universe/python
Homepage http://packages.python.org/pushy
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 27.58 KB
Installed size 158.00 KB
Pushy provides applicaton developers with a simple interface for
connecting two Python interpreters, either on the local host, or
over a network. Once connected, the interpreters may access objects
in each other, as if they were local. Where objects are mutable
(i.e. may change over time), then objects are “proxied”. This means
that a local object is created that mirrors the remote object,
and sends all local function/attribute access calls to the remote
object. Special care has been taken to proxy builtin types properly,
so that proxied objects may be passed to Python’s various builtin
functions.
Pushy contains multiple transports for connecting interpreters, as
well as a means for users to provide their own transport modules.
Builtin transports are provided for connecting to local interpreters,
and to remote interpreters via SSH, named pipes (using SMB) on
Microsoft Windows, and over plain old TCP/IP sockets (using daemon).
One of the most useful features of Pushy is that it will take care
of starting the target Python interpreter for you, depending on
which transport is selected. Of particular note, the SSH transport
will start a remote Python interpreter and initialise a Pushy
connection, without having Pushy installed on the remote system.
Similarly, the local transport will create a new Python interpreter
on the local host.

Alternatives

Package Version Architecture Repository
python-pushy_0.5.3-1ubuntu1_i386.deb 0.5.3 i386 Ubuntu Universe
python-pushy - - -

Requires

Name Value
python-paramiko -
python:any << 2.8
python:any >= 2.7.5-5~

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python-pushy_0.5.3-1ubuntu1_amd64.deb
Source Package python-pushy

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-pushy deb package:
    # sudo apt-get install python-pushy

Files

Path
/usr/lib/python2.7/dist-packages/pushy-0.5.3.egg-info
/usr/lib/python2.7/dist-packages/pushy/__init__.py
/usr/lib/python2.7/dist-packages/pushy/client.py
/usr/lib/python2.7/dist-packages/pushy/server.py
/usr/lib/python2.7/dist-packages/pushy/protocol/__init__.py
/usr/lib/python2.7/dist-packages/pushy/protocol/baseconnection.py
/usr/lib/python2.7/dist-packages/pushy/protocol/connection.py
/usr/lib/python2.7/dist-packages/pushy/protocol/message.py
/usr/lib/python2.7/dist-packages/pushy/protocol/proxy.py
/usr/lib/python2.7/dist-packages/pushy/transport/__init__.py
/usr/lib/python2.7/dist-packages/pushy/transport/daemon.py
/usr/lib/python2.7/dist-packages/pushy/transport/local.py
/usr/lib/python2.7/dist-packages/pushy/transport/ssh.py
/usr/lib/python2.7/dist-packages/pushy/transport/smb/__init__.py
/usr/lib/python2.7/dist-packages/pushy/transport/smb/impacket_transport.py
/usr/lib/python2.7/dist-packages/pushy/transport/smb/native.py
/usr/lib/python2.7/dist-packages/pushy/util/__init__.py
/usr/lib/python2.7/dist-packages/pushy/util/_logging.py
/usr/lib/python2.7/dist-packages/pushy/util/_zipwalk.py
/usr/lib/python2.7/dist-packages/pushy/util/askpass.py
/usr/lib/python2.7/dist-packages/pushy/util/clone_function.py
/usr/lib/python2.7/dist-packages/pushy/util/redirector.py
/usr/share/doc/python-pushy/changelog.Debian.gz
/usr/share/doc/python-pushy/copyright

Changelog

2016-01-17 - Graham Inggs <ginggs@ubuntu.com>
python-pushy (0.5.3-1ubuntu1) xenial; urgency=medium
* Build using dh-python.
2013-08-19 - James Page <james.page@ubuntu.com>
python-pushy (0.5.3-1) saucy; urgency=low
* New upstream point release.
2012-11-19 - Martin Loschwitz <madkiss@debian.org>
python-pushy (0.5.1-1) unstable; urgency=low
* Initial release (Closes: #693675)

See Also

Package Description
python-pwquality_1.4.0-2_amd64.deb Python bindings for libpwquality
python-py_1.5.2-1_all.deb Advanced Python development support library (Python 2)
python-pyaes_1.6.1-1_all.deb Pure-Python implementation of the AES cipher (Python 2)
python-pyalsa_1.0.29-1_amd64.deb Official ALSA Python binding library
python-pyao_0.82-5build1_amd64.deb Python interface to the Audio Output library
python-pyassimp_4.1.0~dfsg-3_all.deb 3D model import library (Python2 bindings)
python-pyatspi_2.26.0+dfsg-1_all.deb Assistive Technology Service Provider Interface - Python bindings
python-pyaudio-doc_0.2.11-1build2_all.deb Documentation for Python bindings for PortAudio v19
python-pyaudio_0.2.11-1build2_amd64.deb Python bindings for PortAudio v19
python-pyavm_0.9.4-1_all.deb Python module to handle Astronomy Visualization Metadata Standard
python-pybiggles_1.6.6-3_amd64.deb Scientific plotting package for Python
python-pybigwig_0.3.2-1ubuntu5_amd64.deb Python 2 module for quick access to bigBed and bigWig files
python-pybind11_2.0.1-4_all.deb pybind11 helper module for Python 2
python-pybloomfiltermmap_0.3.15-0.1build1_amd64.deb Bloom filter (bloomfilter) for Python built on mmap
python-pybtex-doc_0.21-2_all.deb documentation for pybtex
Advertisement
Advertisement